/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_free_tchar.c                                    :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: fbenneto <fbenneto@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2018/02/23 16:10:08 by fbenneto          #+#    #+#             */
/*   Updated: 2018/02/23 16:11:15 by fbenneto         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

void				ft_free_tchar(char **tc)
{
	int		i;

	i = 0;
	while (tc[i])
	{
		free(tc[i]);
		i++;
	}
	free(tc);
	*tc = NULL;
}
